# Generated from jellyfish-1.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jellyfish

Name: rubygem-%{gem_name}
Version: 1.3.1
Release: 1%{?dist}
Summary: Pico web framework for building API-centric web applications
License: Apache-2.0
URL: https://github.com/godfat/jellyfish
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Pico web framework for building API-centric web applications.
For Rack applications or Rack middleware. Around 250 lines of code.
Check [jellyfish-contrib][] for extra extensions.
[jellyfish-contrib]: https://github.com/godfat/jellyfish-contrib.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitmodules
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CHANGES.md
%license %{gem_instdir}/LICENSE
%{gem_instdir}/TODO.md
%{gem_instdir}/bench
%{gem_instdir}/config.ru
%{gem_libdir}
%{gem_instdir}/task
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/jellyfish.gemspec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 1.3.1-1
- Initial package
